%define name audiofile
%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}

Summary: Library to handle various audio file formats.
Name:		%name
Version:	0.2.3
Release:	6mdk
License:	LGPL
Group:		System/Libraries

Source0:	ftp://oss.sgi.com/projects/audiofile/download/%{name}-%{version}.tar.bz2
# (fc) 0.2.3-3mdk don't add -L/usr/lib to ldflags
Patch0:		audiofile-0.2.3-libdir.patch.bz2
Patch1:		audiofile_0.2.3-4.diff.bz2
URL:		http://oss.sgi.com./projects/audiofile/
BuildRoot:	%_tmppath/%name-%version-root

%description
The Silicon Graphics Audio File Library provides a uniform programming 
interface to standard digital audio file formats.

Currently supported sound file formats include AIFF/AIFF-C, WAVE, and
NeXT/Sun .snd/.au. Supported compression formats are currently G.711 
mu-law and A-law. 
Used by the esound daemon.

%package -n %{lib_name}
Summary:	Main library for audiofile 
Group:		System/Libraries

%description -n %{lib_name}
This package contains the library needed to run programs dynamically
linked with audiofile.

%package -n %{lib_name}-devel
Summary: 	Includes and other files to develop audiofile applications
Group: 		Development/C
Requires: 	%{lib_name} = %{version}
Provides: 	lib%{name}-devel = %{version}
Provides:	audiofile-devel = %{version}
Obsoletes:	audiofile-devel

%description -n %{lib_name}-devel
Libraries, include files and other resources you can use to develop audiofile
applications.

%prep

%setup -q
%patch0 -p1 -b .libdir
%patch1 -p1

%build

%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%post -n %{lib_name} -p /sbin/ldconfig

%postun -n %{lib_name} -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc COPYING README
%{_bindir}/sfconvert
%{_bindir}/sfinfo

%files -n %{lib_name}
%defattr(-, root, root)
%doc COPYING README
%{_libdir}/*.so.*


%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc COPYING README ACKNOWLEDGEMENTS TODO NEWS NOTES ChangeLog docs
%{_bindir}/audiofile-config
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_includedir}/*
%{_datadir}/aclocal/*.m4
%{_libdir}/pkgconfig/*


%changelog
* Thu Jul 10 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.2.3-6mdk
- Rebuild

* Fri May 23 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.3-5mdk
- rebuild for devel requires

* Tue Apr 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.2.3-4mdk
- mklibname macro
- patch from debian to update to the CVS API version (needed by gstreamer)

* Wed Jul 31 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-3mdk
- Patch0: don't add -L/usr/lib to ldflags

* Thu Nov 29 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-2mdk
- Add pkgconfig file

* Tue Nov 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.3-1mdk
- Release 0.2.3

* Fri Jul 20 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.2-1mdk
- Release 0.2.2

* Tue Feb 27 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.1-1mdk
- Release 0.2.1

* Wed Jan 17 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 0.1.11-6mdk
- Remove provides audiofile from lib
- Re-add .so in -devel package

* Fri Dec 15 2000 David BAUDENS <baudens@mandrakesoft.com> 0.1.11-5mdk
- Obsoletes: audiofile-devel to prevent conflicts

* Wed Nov 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.11-4mdk
- Provides audiofile and audiofile-devel.

* Mon Nov 27 2000 dam's <damien@mandrakesoft.com> 0.1.11-3mdk
- new lib policy.

* Mon Nov  6 2000 dam's <damien@mandrakesoft.com> 0.1.11-2mdk
- cosmetik changes.

* Sun Oct 29 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 0.1.11-1mdk
- new version aka shiny source.

* Fri Jul 21 2000 dam's <damien@mandrakesoft.com> 0.1.9-5mdk
- BM + macrozification

* Wed Jun 21 2000 dam's <damien@mandrakesoft.com> 0.1.9-4mdk
- mandrake release

* Wed Apr 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 0.1.9-3mdk
- new groups
- cleaned up specfile

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Update URL.
- (NMU)

* Fri Sep 24 1999 Axalon Bloodstone <axalon@linux-mandrake.com>
- 0.1.9

* Mon Jun 28 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>

- Add the .m4 files in devel package.
- Last CVS version from Mon Jun 28 1999.

* Mon Jun 14 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- 0.1.7

* Fri Apr 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Mandrake adpatations.
- We stripping with our macros ;-).

* Fri Mar 19 1999 Michael Fulbright <drmike@redhat.com>
- strip binaries before packaging

* Thu Feb 25 1999 Michael Fulbright <drmike@redhat.com>
- Version 0.1.6

* Sun Feb 21 1999 Michael Fulbright <drmike@redhat.com>
- Removed libtoolize from %build

* Wed Feb 3 1999 Jonathan Blandfor <jrb@redhat.com>
- Newer version with bug fix.  Upped release.

* Wed Dec 16 1998 Michael Fulbright <drmike@redhat.com>
- integrating into rawhide release at GNOME freeze

* Fri Nov 20 1998 Michael Fulbright <drmike@redhat.com>
- First try at a spec file

